/*
 * imap.h - This file contains defines etc for doing image map type things.  
 *
 *  $Id: imap.h,v 1.6 1998/05/28 04:36:13 johns Exp $
 */

void       ResetImage(void);
void       LoadImage(rawimage *);
rawimage * AllocateImage(char *);
void       DeallocateImage(rawimage *);
void       ResetImages(void);
rawimage * DecimateImage(rawimage *);
mipmap *   LoadMIPMap(char *);
mipmap *   CreateMIPMap(rawimage *);
color      MIPMap(mipmap *, flt, flt, flt);
color      ImageMap(rawimage *, flt, flt);
 
